EXP1803 - Developing #146
Developing # 134 (OTkpbiTa): CMynsiLns 3KCNeprMeHTa - Nepeoe NpubnmxeHne
Developing # 162 (3akpbiTa): PykHUMOHan Teneckona T1
MNMowuck Tpeka B kBagpaTHOM Teneckone QTelescope
02/26/2018 09:00 AM - Vitaliy Schetinin

Status: 3akpbiTa Start date: 02/26/2018
Priority: HopmanbHbiii Due date: 03/04/2018
Assignee: Mikhail Kozlov % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
HyxHo coenatb knacc ERQTelescopeTrackFinder. KoTopbii BocTaHaBnmBaeT Tpek Ha QTelescope.

Tpek ero coctTonT M3 TOYKM Ha MULLEHN: OHA NnBo ecTb B Aepese bnaronaps BeamDet. Jlnbo nonb3osatens 3anaeT ee U3
Makpoca.

Tak Xe B TPEK BXOLAT TOUKM, KOTOPbIE CNEayOT U3 32X XEHHbIX CTPMMOB Ha camoM QTelescope. TyT aBa BapuaHTta: nmbo y Tebs
€CTb OBYXCTPOHHSAS cTaHums. JInbo y Tebs ecTb ABe cTaHumn: ofHa X, apyras Y v Touka cobupaeTtcs no nokasaHusiM oboux.

Toectb B MHTepdence Kknacca oonXxeH 6bITb METOL yKasblBalowWmi Kakas ctaHumsa ymeeT BO3BpallaTb TOUKY, nnbo kakas napa
CTaHUMI yMeeT BOo3Bpalarb TOYKY.

SetHitStation(stationID)

SetHitStation(stationID, stationlD2)

MoaToMy Hy>XHO caoenaTb cnegytouee:

1) NOHATb YTO 3a CTaHUUK paboTaloT Ha HAXOXAEHNE TOYKK. MyCTb NoKa eCTb TONMbKO ABYCTOPOHHUE.

2) Haintn koopamHaty Ha Teneckone B nokanbHon CK ctaHumm

3) nepeBecTn KOOpAMHATY FNoBoNbHYO CK

dakTtuyeckm ERQTelescopeTrack Bynet comepxatb ase Touku. MyweHb 1 ToUKy Ha cpaboTaBLuei CTaHLum.
Lnsi Toro, 4to 66l TENECKOMN "BEPHYN TOYKY" HEOBXOAMMO BbINONHUTD

Kakune-To OEeNCTBUS Hag pe3ynbTaTtoM auxutusaumm. MNpuuem atn neicTems oopMmnpyoTCS NoNb3oBatenem

no pe3ynbTtartamMm aHanmsa gunxXutmn3npoBaHHbIX NN KaJ'II/I6pOBaHHbIX JaHHbIX B UHTEPaKTUBHOW Ceccuu.

Touky MOryT CGPOPMMPOBaTh CTPUMbI Npolewure 0TOOP MO CNenYIOWMM KPUTEPUsIM, KOTOPbIE SBASIIOTCS MHTEpdpeicamm NaHHOro
knacca:

1) oTBUpatoTCa CTPUMbI, y KOTOPbIX efernbl NonajatT B 3aAaHHbli AnanasoH
2) pasHuua egen mMexay X v Y He NpeBOCXOAMT 3aAaHHON BENNYMHBI
3) BpeMeHHblE OTMETKM BCEX UCMONb30BaHHbIX CUTHANOB COBMAaAaloT B Npefenax 3afaHHon ownbku

4) kpuTepuin noeHTndukaumm DeltaE-E. S1oT KpuTepwnii peanmsosatb cnoxHee scero. M s noka npegnararo OTI0XNTb €ro.
Bo3mMoxxHO naxe yBecTu B aTan aHanusa.

TpekoB MOXET NONYYNTbCSH HECKONbKO. Kax ablii U3 HUX MOEeT B CNeAyoWmnii aTan peKOHCTPYKLUN
PesynbTart:

Touka nonageHns B 0ETEKTOP PEKOHCTPYMPYETCS COrnacHo oxuaannio. CUMMynaums NnpoBoAmaack C MOMOLLbIO Makpoca B
npukpenneHHom doanne B Betke "dev"
C nomoLLb NPUKPNIEHHOrO Makpoca 4718 MPOCMOTPa BULMM:

trackReco.png

Hawm uHTepeceH nocnenHuii ctonbel (KapTuHbl 3 1 6). Ha Bepxy BUAUM U3 HOMEPOB CTPUMOB PEKOHCTPYNPOBAHHbIE TOYKU
nonageHns B eTeKTop, BHU3Y TOYKbl MONYyYEHHbIE B CUMMYynauun. [y4ok Bbinetan nu3 1o4ku (5, 2, 2) nog, yrinomM rpagycos.
Teneckon cocTosin U3 OAHOrO TOHKOrO M OHOMO TONICTOrO CNOst KpEMHMA 1 Bbin nomelleH B Touke (5, 2, 10). KaptuHka
npekpacHas, BapupoBaHne napameTpos fMyyka fgaeT oXunaaemble pesynbraThl.

N3BecTHble npobnemb:

1. Ecnn He BkntoyeHbl 3aaayn ERBeamDetDigitizer n ERBeamDetTrackFinder nouck Tpaka He paboTtaer.

2. HeT BO3MOXHOCTW OTKNIOYMTb NEPBLIA CNol Teneckona, 4Tobbl n3bexaTtb 0T PaccesiHNs B TOHKOW NnaTuHe KPEMHS - MenoYb.

3. PEKOHCTpYKUMS HE YyBCTBMTENbHA HA MHOXECTBEHHOCTb. Bbin 0anH pacyeT, KOTOpbIiA HE yoaeTcs NOBTOPUTD, rAe TaxXenas
yacTuua nposeTena B NJIOCKOCTU NIACTUHbI Hepe3 HECKOJIbKO CTPUMOB (B BeTKe point 6bi BUAEH NPeKpaCHbI HaMeK Ha MUK
Bparra). B pekoHCTPYKLMM €CTECTBEHHO 3aCBETWIOCh MHOMO CTPUMOB C 060MX CTOPOH U MOyYMiack MaTprla BO3MOXHbIX
noauuueit. Mockonbky aHeproeblaeneHre 66110 6onbloe, He yaanocb oTce4b cobbiTre Mo NoporamM PeKoHCTPyKummn. C aTnm

nokKka MO>XXHO Nerko XuTb.

History

#1 - 02/26/2018 09:01 AM - Vitaliy Schetinin
- Related to Developing #138: lNposepka paboTbi pekoHCTpykunm Teneckona T1 added

#2 - 02/26/2018 09:14 AM - Vitaliy Schetinin

- Description updated

#3 - 03/01/2018 11:59 PM - Vratislav Chudoba
- Related to deleted (Developing #138: [posepka paboTki pekoHCTpyKumuy Teneckona T1)

#4 - 03/01/2018 11:59 PM - Vratislav Chudoba
- Parent task set to #134

#5 - 03/02/2018 01:25 PM - Mikhail Kozlov

Cnwnn B dev nomck Tpeka.
[ns nyHKTOB:
1) oT6MpaloTCca CTpUMLI, y KOTOPbIX e4enbl NonafaloT B 3aAaHHbIA AnanasoH

2) pasHuua egen mMexay X n Y He NpeBoCXOAUT 3a4aHHON BENNYUHDI

BBELEHbl MHTEepPechI:

1. gtelescopeTrackFinder->SetStripEdepRange(0., 100.); /I [GeV]
2. gtelescopeTrackFinder->SetEdepMaxDiffXY(0.5); // [GeV]

[lna 3apaHus To4km Ha MyweHmn B otcyTcTBMe BeamDetTrack BBeneH nHtepgoeiic  gtelescopeTrackFinder->SetTargetPoint(0., 0., 0.).
Mpwu ero unonb3osaHun B Hannune BeamDetTrack Tpekn 6umMaeT MrHOPUPYIOTCS.

#6 - 03/03/2018 11:20 PM - Vratislav Chudoba
- % Done changed from 0 to 50

He moxeT 6biTb B 3aaa4e KaKaﬂ-Hl/Iéy,D.b npoéneMa ¢ namsTblo? PacyeT cunbHO 3aMennseTcs ¢ poCcTywWwmnm HomMepom cobbiTHSA.

#7 - 03/03/2018 11:49 PM - Vratislav Chudoba
- File exp1803_sim_digi.C added

Mosunums B Teneckone BOCCTaHaBNMBAETCS CTPaHHO. [onb3yiock Myykom
generator->SetBoxXYZ(5, 0., 5.5, 1., 2.);
KOTOpbIA NETUT CTPOro BAONb OCU Z U BUXY CNELYIOLYI0 KapTUHY:
t1_position.png

Makpoc cummynauum npunaraetcs. Ha TpeTbei KapTMHKe cTaTucTuKa nokassisaeT 8670850 BXOLOB HE CMOTPS HA TO, YTO pasbirpusan BCEro nuilb
100 cobbITuiA.
#8 - 03/06/2018 10:17 PM - Vratislav Chudoba
- Priority changed from Huskwii to HopmanbHbiv

- % Done changed from 50 to 80

MN3BecTHble Npobnembi:

1. Ecnu He BkntoyeHbl 3anadn ERBeamDetDigitizer v ERBeamDetTrackFinder novick Tpska He paboTaer.
2. HeT BO3MOXHOCTU OTK/IOUMTb NEPBbIA CNON Teneckona, 4Tobbl M3bexaTtb OT PacCesiHNS B TOHKOW NnaTWHE KPEMHS - MENoYb.

#9 - 03/06/2018 10:53 PM - Vratislav Chudoba
- File exp1803_sim_digi_T1pos.C added

- File showT1Sim.C added

- Description updated

- Status changed from OrtkpsbiTa to 3akpeiTa

- % Done changed from 80 to 100

#10 - 03/07/2018 05:40 PM - Vratislav Chudoba
- Description updated

- Parent task changed from #134 to #162

Files

exp1803_sim_digi.C 13 KB 03/03/2018 Vratislav Chudoba
exp1803_sim_digi_T1pos.C 8.85 KB 03/06/2018 Vratislav Chudoba
showT1Sim.C 1.29 KB 03/06/2018 Vratislav Chudoba
